Loading...
Searching...
No Matches
ranges::views::intersperse_fn Struct Reference
Views
Inheritance diagram for ranges::views::intersperse_fn:

## Public Member Functions

template<typename T > requires copyable<T>
constexpr auto | operator() (T t) const
Public Member Functions inherited from ranges::views::intersperse_base_fn
template<typename Rng > requires viewable_range<Rng> && input_range<Rng> && convertible_to<range_reference_t<Rng>, range_value_t<Rng>> && semiregular<range_value_t<Rng>>
constexpr intersperse_view< all_t< Rng > > | operator() (Rng &&rng, range_value_t< Rng > val) const

## Related Symbols

(Note that these are not member symbols.)
constexpr intersperse_fn | intersperse {}